%define name    kickpim
%define version 0.5.3
%define release %mkrel 4
%define Summary Kicker applet to access addressbook

%define title Kickpim

# Work around for different libtool use in kde 
%define __libtoolize true

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release

License: 		GPL
Group: 			Graphical desktop/KDE
Source: 		kickpim-%{version}.tar.bz2
Url: 			http://kickpim.sourceforge.net/
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	        kdelibs-devel
Patch1:			kickpim-0.5.3-fix-compile-gcc-3.4.patch.bz2

%description
KickPIM is a panel applet for quickly editing and accessing the KDE
addressbook or sending emails to your contacts. It shows also a list of
upcoming birthdays and waiting emails of multiple email-accounts.

%prep
%setup -q
%patch1 -p0 -b .fix_compile_gcc_3.4

%build
libtoolize -c -f
aclocal-1.9
autoheader
automake-1.9 -a -c
autoconf
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath --enable-final
%make

%install
rm -rf %buildroot
%makeinstall

%find_lang %{name}

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_libdir}/*
%defattr(0644,root,root,0755)
%_datadir/apps/kicker/applets/%{name}.desktop
%_datadir/apps/%{name}/info/image-kickpim-lain.jpg
%{_datadir}/apps/%{name}/icons/*.png
%doc %_docdir/HTML/*/%{name}/*

%changelog
* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.5.3-4mdk
- build with automake1.8

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-3mdk
- Fix Build
- use mkrel

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.5.3-2mdk
- Fix compile

* Wed Jan 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.3-1mdk
- 0.5.3

* Wed Mar 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- from Nick Brown <nickbroon@blueyonder.co.uk> :
	- First Mandrake package release
